"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const path_1 = require("path");
const index_1 = require("./index");
const types_1 = require("./types");
const compound_pdf_1 = require("./compound-pdf");
const headerHtml = fs_1.readFileSync(path_1.join(__dirname, './test-files/header.html'), 'utf8');
const firstPageHtml = fs_1.readFileSync(path_1.join(__dirname, './test-files/first-page.html'), 'utf8');
let converter;
beforeAll(() => __awaiter(this, void 0, void 0, function* () {
    // TODO: find out how to run without those options
    // Travis-CI Docker image workaround
    const puppeteerOptions = {
        puppeteer: {
            args: ['--no-sandbox', '--disable-setuid-sandbox', '--disable-dev-shm-usage'],
        },
    };
    converter = yield compound_pdf_1.initialize(puppeteerOptions);
}));
afterAll(() => __awaiter(this, void 0, void 0, function* () {
    yield converter.destroy();
}));
describe('mkCompoundPdf() perf', () => {
    const mkPdf = () => converter.mkCompoundPdf([
        {
            pdfContent: firstPageHtml,
            header: {
                type: 'HtmlSlot',
                html: headerHtml,
            },
            margin: index_1.PrintMargin.ofZero(),
            pageSize: types_1.pageSizeInMM.A4.portrait,
        },
    ]);
    it.skip('single page with html header', () => __awaiter(this, void 0, void 0, function* () {
        yield Promise.all([
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
            mkPdf(),
        ]);
    }), 20000);
});
//# sourceMappingURL=compount-pdf.perf.spec.js.map