"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const helpers_1 = require("./helpers");
describe('propagatePageNumbers()', () => {
    it('should throw when opening <body> tag is missing', () => {
        expect(() => helpers_1.propagatePageNumbers('', 1, 1, 1)).toThrow('Malformed html!');
    });
    it('should throw when closing </body> tag is missing', () => {
        expect(() => helpers_1.propagatePageNumbers('<body> ', 1, 1, 1)).toThrow('Malformed html!');
    });
    const html = '<html><body>{page} / {pages}</body></html>';
    it('should get new html', () => {
        expect(helpers_1.propagatePageNumbers(html, 1, 2, 1)).toEqual('<html><body><div style="page-break-after: always">1 / 1</div></body></html>');
    });
    it('should get propagated html', () => {
        expect(helpers_1.propagatePageNumbers(html, 3, 7, 9)).toEqual('<html><body><div style="page-break-after: always">3 / 9</div><div style="page-break-after: always">4 / 9</div><div style="page-break-after: always">5 / 9</div><div style="page-break-after: always">6 / 9</div></body></html>');
    });
});
//# sourceMappingURL=helpers.spec.js.map