"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const buffer_1 = require("buffer");
class PDFStreamForBuffer {
    constructor() {
        this.totalLength = 0;
        this.buffers = [];
    }
    write(inBytesArray) {
        if (inBytesArray.length > 0) {
            this.buffers.push(buffer_1.Buffer.from(inBytesArray));
            this.totalLength += inBytesArray.length;
            return inBytesArray.length;
        }
        return 0;
    }
    getCurrentPosition() {
        return this.totalLength;
    }
    getBuffer() {
        return buffer_1.Buffer.concat(this.buffers, this.totalLength);
    }
}
exports.PDFStreamForBuffer = PDFStreamForBuffer;
//# sourceMappingURL=pdf-stream-for-buffer.js.map