"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ReadStreamForBuffer {
    constructor(buffer) {
        this.buffer = buffer;
        this.position = 0;
    }
    read(inAmount) {
        const length = inAmount + this.position > this.buffer.length ? this.buffer.length : inAmount + this.position;
        const result = [];
        for (let index = this.position; index < length; index += 1) {
            result.push(this.buffer[index]);
        }
        this.position += inAmount;
        return result;
    }
    notEnded() {
        return this.position < this.buffer.length;
    }
    setPosition(position) {
        this.position = position;
    }
    setPositionFromEnd(position) {
        this.position = this.buffer.length - position;
    }
    skip(amount) {
        this.position += amount;
    }
    getCurrentPosition() {
        return this.position;
    }
}
exports.ReadStreamForBuffer = ReadStreamForBuffer;
//# sourceMappingURL=read-stream-for-buffer.js.map