"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const read_stream_for_buffer_1 = require("./read-stream-for-buffer");
describe('ReadStreamForBuffer', () => {
    const buffer = Buffer.from('тест');
    it('should read()', () => {
        const readStream = new read_stream_for_buffer_1.ReadStreamForBuffer(buffer);
        const result = readStream.read(2);
        expect(result).toEqual([209, 130]);
        expect(readStream.getCurrentPosition()).toEqual(2);
    });
    it('should read() not more than buffer length', () => {
        const readStream = new read_stream_for_buffer_1.ReadStreamForBuffer(buffer);
        expect(readStream.read(20).length).toEqual(8);
    });
    it('should be notEnded()', () => {
        const readStream = new read_stream_for_buffer_1.ReadStreamForBuffer(buffer);
        expect(readStream.notEnded()).toEqual(true);
    });
    it('should setPosition()', () => {
        const readStream = new read_stream_for_buffer_1.ReadStreamForBuffer(buffer);
        readStream.setPosition(3);
        expect(readStream.getCurrentPosition()).toEqual(3);
    });
    it('should setPositionFromEnd()', () => {
        const readStream = new read_stream_for_buffer_1.ReadStreamForBuffer(buffer);
        readStream.setPositionFromEnd(3);
        expect(readStream.getCurrentPosition()).toEqual(5);
    });
    it('should skip()', () => {
        const readStream = new read_stream_for_buffer_1.ReadStreamForBuffer(buffer);
        readStream.skip(3);
        expect(readStream.getCurrentPosition()).toEqual(3);
    });
});
//# sourceMappingURL=read-stream-for-buffer.spec.js.map